LibreOffice: CellCursor Service Reference

LibreOffice LibreOffice 5.3 SDK API Reference

Exported Interfaces | List of all members
CellCursor Service Referencepublished

represents a cell cursor in a table. More...

`import"CellCursor.idl";`

Inheritance diagram for CellCursor:

## Exported Interfaces
interface | com::sun::star::table::XCellCursor
| provides methods to control the position of the cursor. More...

## Additional Inherited Members
Public Member Functions inherited from XCellCursor
void | gotoStart ()
| points the cursor to a single cell which is the beginning of a contiguous series of (filled) cells. More...
void | gotoEnd ()
| points the cursor to a single cell which is the end of a contiguous series of (filled) cells. More...
void | gotoNext ()
| points the cursor to the next unprotected cell. More...
void | gotoPrevious ()
| points the cursor to the previous unprotected cell. More...
void | gotoOffset ([in] long nColumnOffset, [in] long nRowOffset)
| moves the origin of the cursor relative to the current position. More...
Public Member Functions inherited from XCellRange
com::sun::star::table::XCell | getCellByPosition ([in] long nColumn, [in] long nRow) raises ( com::sun::star::lang::IndexOutOfBoundsException )
| Returns a single cell within the range. More...
com::sun::star::table::XCellRange | getCellRangeByPosition ([in] long nLeft, [in] long nTop, [in] long nRight, [in] long nBottom) raises ( com::sun::star::lang::IndexOutOfBoundsException )
| Returns a sub-range of cells within the range. More...
com::sun::star::table::XCellRange | getCellRangeByName ([in] string aRange)
| Returns a sub-range of cells within the range. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

represents a cell cursor in a table.

A cell cursor is simply a cell range which provides methods to move through the table (i.e. relative to the current position).

## Exported Interfaces

## ◆ com::sun::star::table::XCellCursor

interface com::sun::star::table::XCellCursor

provides methods to control the position of the cursor.

The documentation for this service was generated from the following file:

- com/sun/star/table/CellCursor.idl